phpLDAPadmin

# Class: Export

Source Location: /templates/3rdParty/pla/lib/export_functions.php

### Class Overview

Export Class

#### Author(s):

### Variables

- $br
- $compress
- $items
- $results
- $resultsdata

### Methods

- accept
- getHeader
- getServer
- getServerID
- isCompressed
- isSafeAscii

### Child classes:

ExportCSV
  Export entries to CSV

ExportDSML
  Export entries to DSML v.1

ExportLDIF
  Export from LDAP using an LDIF format

ExportVCARD
  Export entries to VCARD v2.1

### Class Details

[line 89]
Export Class

This abstract classes provides all the common methods and variables for the custom export classes.

#### Tags:

abstract: |

[ Top ]

### Class Variables

#### $br =

[line 91]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $compress =

[line 93]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $items = 0

[line 97]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $results =

[line 95]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

#### $resultsdata =

[line 96]

#### Tags:

access: | protected

Type: | mixed

[ Top ]

### Class Methods

### method accept [line 117]

`void accept( )`

#### Tags:

access: | public

[ Top ]

### method getHeader [line 194]

`void getHeader( )`

#### Tags:

access: | protected

[ Top ]

### method getServer [line 104]

`object DataStore getServer( )`

Return this LDAP Server object

#### Tags:

return: | Server
access: | protected

[ Top ]

### method getServerID [line 113]

`int getServerID( )`

Return the LDAP server ID

#### Tags:

return: | Server ID
access: | protected

[ Top ]

### method isCompressed [line 190]

`void isCompressed( )`

#### Tags:

access: | public

[ Top ]

### method isSafeAscii [line 218]

`boolean isSafeAscii( The $str)`

Helper method to check if the attribute value should be base 64 encoded.

#### Tags:

return: | true if the string is safe ascii, false otherwise.
access: | protected

#### Parameters:

The | $str | string to check.

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:40 +0100 by phpDocumentor 1.4.1